<%@ Page Title="" Language="C#" MasterPageFile="~/Master/MasterPage.master" AutoEventWireup="true"  CodeBehind="TicketListAdmin.aspx.cs" Inherits="PirTickets.TicketListAdmin" EnableViewStateMac="false" %>
<%@ Register Assembly="obout_Grid_NET" Namespace="Obout.Grid" TagPrefix="cc1" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Head" runat="server">
    <style type="text/css">
        .centreUP
        {
            position: absolute;
            left:640px;
            top:400px;
        }
    </style>
    </asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder1" runat="server"> 
    <div>
        


    <asp:Label ID="Label1" runat="server" Text="These are the repairs you have outstanding:"></asp:Label>
    <br />
    <br />
    <asp:TabContainer ID="TabContainer1" runat="server" ActiveTabIndex="0" TabStripPlacement="Top">
        <asp:TabPanel ID="TabPanel1" runat="server" HeaderText="New Repairs">
            <ContentTemplate>
                <asp:UpdateProgress ID="UpdateProgress1" runat="server">
                    <ProgressTemplate >
                        <div id="upArea" class="centreUP">
                        <asp:Image ID="Image1" runat="server" ImageUrl="~/images/ajax-wheels.gif" />
                        </div>
                    </ProgressTemplate>
                </asp:UpdateProgress>
                <asp:UpdatePanel ID="UpdatePanel1" runat="server" >
                    <ContentTemplate>
                        <cc1:Grid ID="gvMain" runat="server" AutoGenerateColumns="False" DataSourceID="SqlDataRepairs" Width="100%" AllowAddingRecords="False"
                            AutoPostBackOnSelect="False" AllowFiltering="True" AllowGrouping="True" FolderStyle="~/Styles/style_5"
                            OnSelect="gvMain_Select" OnPreRender="gvMain_PreRender" OnRowCreated="gvMain_RowCreated" PageSize="100" 
                            OnDataBound="gvMain_DataBound" OnRowDataBound="gvMain_RowDataBound"
                            PageSizeOptions="20,50,100,200,500" Serialize="True" AllowMultiRecordSelection="False">
                            <Columns>
                                <cc1:Column DataField="OrderID" HeaderText="ID" Index="0" ReadOnly="True" Width="70px" Visible="true">
                                    <TemplateSettings TemplateId="OrderIDTemplate" />
                                </cc1:Column>
                                 <cc1:Column DataField="Received" HeaderText="Received" Index="2" DataFormatString="{0:dd MMM yyyy}" ItemStyle-HorizontalAlign="Left" ItemStyle-BorderWidth="5px"  ReadOnly="True"  Visible="true">
                                </cc1:Column>

                                <cc1:Column HeaderText="Model" Index="1" SortExpression="manufacturer" ReadOnly="True" Width="100%" Visible="true">
                                    <TemplateSettings TemplateId="modelTemplate" />
                                </cc1:Column>
                               
                                <cc1:Column DataField="priority_name" HeaderText="Priority" Index="3" SortExpression="priority_name" ReadOnly="True"  Visible="true" ItemStyle-HorizontalAlign="Center">
                                    <TemplateSettings TemplateId="PriorityTemplate" />
                                </cc1:Column>
                                <cc1:Column DataField="statusname" HeaderText="Status/Ass.to" Index="4" SortExpression="statusname" ReadOnly="True" Visible="true" ItemStyle-HorizontalAlign="Center">
                                    <TemplateSettings TemplateId="statusTemplate" />
                                </cc1:Column>
                                <cc1:Column DataField="cust" HeaderText="Customer" Index="5" SortExpression="cust" ReadOnly="True" width="100%" Visible="true" ItemStyle-HorizontalAlign="Center">
                                    <TemplateSettings TemplateId="CustomerTemplate" />
                                </cc1:Column>
                                <cc1:Column DataField="sitename" HeaderText="Site" Index="6" ReadOnly="True"  Visible="true">
                                </cc1:Column>                             
                            </Columns>
                            <Templates>
                                <cc1:GridTemplate runat="server" ID="OrderIDTemplate">
                                    <Template>
                                        <asp:HyperLink ID="lblOrderID" runat="server" NavigateUrl='<%# "~/TicketFormEdit.aspx?repID=" + Container.Value %>' Text='<%# Container.Value %>' />
                                    </Template>
                                </cc1:GridTemplate>
                                <cc1:GridTemplate runat="server" ID="modelTemplate">
                                    <Template>
                                       <asp:Label runat="server" ID="mod" Text='<%# Container.DataItem["manufacturer"] + " " + Container.DataItem["ModelName"]%>' ToolTip='<%# "S/No. " +  Container.DataItem["SerialNumber"] %>' />                                  
                                    </Template>
                                </cc1:GridTemplate>
                                <cc1:GridTemplate runat="server" ID="PriorityTemplate" >
                                    <Template>
                                        <asp:Label ID="lblPriority" runat="server" Text='<%# Container.Value %>' />
                                    </Template>
                                </cc1:GridTemplate>
                                <cc1:GridTemplate runat="server" ID="statusTemplate">
                                    <Template>
                                        <asp:Label ID="lblStatus" runat="server" Text='<%# Container.Value %>' />
                                    </Template>
                                </cc1:GridTemplate>
                                <cc1:GridTemplate runat="server" ID="CustomerTemplate">
                                    <Template>
                                        <asp:label runat="server" text='<%# Container.DataItem["cust"] %>' tooltip='<%# Container.DataItem["FirstName"] + " " + Container.DataItem["Lastname"] %>' />
                                    </Template>
                                </cc1:GridTemplate>
                            </Templates>
                        </cc1:Grid>
                    <hr />
                    </ContentTemplate>
                </asp:UpdatePanel>           
            </ContentTemplate>        
        </asp:TabPanel>

        <asp:TabPanel ID="TabPanel6" runat="server" HeaderText="Completed Repairs">
            <ContentTemplate>
                <asp:UpdateProgress ID="UpdateProgress2" runat="server">
                    <ProgressTemplate>
                        <div id="upArea" class="centreUP">
                            <asp:Image ID="Image1" runat="server" ImageUrl="~/images/ajax-wheels.gif" />
                        </div>
                    </ProgressTemplate>
                </asp:UpdateProgress>

                <asp:UpdatePanel ID="UpdatePanel2" runat="server">
                    <ContentTemplate>
                        <cc1:Grid ID="GridComplete" runat="server" AutoGenerateColumns="False" DataSourceID="dsComplete" Width="100%" AllowAddingRecords="False"
                            AutoPostBackOnSelect="true" AllowFiltering="True" AllowGrouping="True" FolderStyle="~/Styles/style_5"
                            OnSelect="GridComplete_Select" PageSize="100" PageSizeOptions="10,20,50,100" Serialize="False" AllowMultiRecordSelection="False">
                            <Columns>
                                <cc1:Column DataField="OrderID" HeaderText="ID" Index="0" ReadOnly="True" Width="70px" Visible="true">
                                    <TemplateSettings TemplateId="OrderIDTemplategc" />
                                </cc1:Column>
                                <cc1:Column HeaderText="Model" Index="1" SortExpression="manufacturer" ReadOnly="True" width="100%"  Visible="true">
                                    <TemplateSettings TemplateId="modelTemplategc" />
                                </cc1:Column>
                                <cc1:Column DataField="Received" HeaderText="Received" Index="2" DataFormatString="{0:dd MMM yyyy}" ItemStyle-HorizontalAlign="Left" ItemStyle-BorderWidth="5px" SortExpression="OrderID" ReadOnly="True" Width="100px" Visible="true">
                                </cc1:Column>
                                <cc1:Column DataField="statusname" HeaderText="Status/Ass.to" Index="4" SortExpression="statusname" ReadOnly="True" width="100%"  Visible="true" ItemStyle-HorizontalAlign="Center">
                                    <TemplateSettings TemplateId="statusTemplategc" />
                                </cc1:Column>
                                <cc1:Column DataField="cust" HeaderText="Customer" Index="5" SortExpression="cust" ReadOnly="True" width="100%" Visible="true" ItemStyle-HorizontalAlign="Center">
                                    <TemplateSettings TemplateId="CustomerTemplategc" />
                                </cc1:Column>
                                <cc1:Column DataField="sitename" HeaderText="Site" Index="6" ReadOnly="True"  Visible="true">
                                </cc1:Column>
                            </Columns>
                            <Templates>
                                <cc1:GridTemplate runat="server" ID="OrderIDTemplategc">
                                    <Template>
                                        <asp:HyperLink ID="lblOrderID" runat="server" NavigateUrl='<%# "~/TicketFormEdit.aspx?repID=" + Container.Value %>' Text='<%# Container.Value %>' />
                                    </Template>
                                </cc1:GridTemplate>
                                <cc1:GridTemplate runat="server" ID="modelTemplategc">
                                    <Template>
                                        <asp:Label runat="server" ID="mod" Text='<%# Container.DataItem["manufacturer"] + " " + Container.DataItem["ModelName"]%>' ToolTip='<%# "S/No. " +  Container.DataItem["SerialNumber"] %>' />
                                    </Template>
                                </cc1:GridTemplate>
                                <cc1:GridTemplate runat="server" ID="statusTemplategc">
                                    <Template>
                                        <asp:Label ID="lblStatus" runat="server" Text='<%# Container.Value %>' ToolTip='<%# Container.DataItem["status_name"] %>' />
                                    </Template>
                                </cc1:GridTemplate>
                                <cc1:GridTemplate runat="server" ID="CustomerTemplategc">
                                    <Template>
                                        <asp:Label ID="Label2" runat="server" Text='<%# Container.DataItem["cust"] %>' ToolTip='<%# Container.DataItem["firstname"] + " " + Container.DataItem["lastname"] %>' />
                                    </Template>
                                </cc1:GridTemplate>
                            </Templates>
                        </cc1:Grid>
                        <hr />
                    </ContentTemplate>
                </asp:UpdatePanel>
            </ContentTemplate>
        </asp:TabPanel>
        <asp:TabPanel ID="TabPanel7" runat="server" HeaderText="Beyond Repair">
            <ContentTemplate>
                <asp:UpdatePanel ID="UpdatePanel3" runat="server">
                    <ContentTemplate>
                        <cc1:Grid ID="gridBeyondRepair" runat="server" AutoGenerateColumns="False" DataSourceID="dsBeyondRepair" Width="100%" AllowAddingRecords="False"
                            AutoPostBackOnSelect="true" AllowFiltering="True" AllowGrouping="True" FolderStyle="~/Styles/style_5"
                            OnSelect="gridBeyondRepair_Select" PageSize="100" PageSizeOptions="10,20,50,100" Serialize="False" AllowMultiRecordSelection="False">
                            <Columns>
                                <cc1:Column DataField="OrderID" HeaderText="ID" Index="0" ReadOnly="True" Width="70px" Visible="true">
                                    <TemplateSettings TemplateId="OrderIDTemplatebr" />
                                </cc1:Column>
                                <cc1:Column HeaderText="Model" Index="1" SortExpression="manufacturer" ReadOnly="True" width="100%" Visible="true">
                                    <TemplateSettings TemplateId="modelTemplatebr" />
                                </cc1:Column>
                                <cc1:Column DataField="Received" HeaderText="Received" Index="2" DataFormatString="{0:dd MMM yyyy}" ItemStyle-HorizontalAlign="Left" ItemStyle-BorderWidth="5px" SortExpression="OrderID" ReadOnly="True" Width="100px" Visible="true">
                                    
                                </cc1:Column>
                                <cc1:Column DataField="statusname" HeaderText="Status/Ass.to" Index="4" SortExpression="statusname" ReadOnly="True" width="100%" Visible="true" ItemStyle-HorizontalAlign="Center">
                                    <TemplateSettings TemplateId="statusTemplatebr" />
                                </cc1:Column>
                                <cc1:Column DataField="cust" HeaderText="Customer" Index="5" SortExpression="cust" ReadOnly="True" width="100%" Visible="true" ItemStyle-HorizontalAlign="Center">
                                    <TemplateSettings TemplateId="CustomerTemplatebr" />
                                </cc1:Column>
                                <cc1:Column DataField="sitename" HeaderText="Site" Index="6" ReadOnly="True" Width="100%" Visible="true">
                                </cc1:Column>
                            </Columns>
                            <Templates>
                                <cc1:GridTemplate runat="server" ID="OrderIDTemplatebr">
                                    <Template>
                                        <asp:HyperLink ID="lblOrderID" runat="server" NavigateUrl='<%# "~/TicketFormEdit.aspx?repID=" + Container.Value %>' Text='<%# Container.Value %>' />
                                    </Template>
                                </cc1:GridTemplate>
                                 <cc1:GridTemplate runat="server" ID="dateTemplate">
                                    <Template>
                                        <asp:Label runat="server" ID="modDate" Text='<%#  Container.Value != String.Empty && Container.Value != " " ?
     Convert.ToDateTime(Container.Value).ToString("ddd MMM yyyy") : "" %>' />
                                    </Template>
                                </cc1:GridTemplate>
                                <cc1:GridTemplate runat="server" ID="modelTemplatebr">
                                    <Template>
                                        <asp:Label runat="server" ID="mod" Text='<%# Container.DataItem["manufacturer"] + " " + Container.DataItem["ModelName"]%>' ToolTip='<%# "S/No. " +  Container.DataItem["SerialNumber"] %>' />
                                    </Template>
                                </cc1:GridTemplate>
                                <cc1:GridTemplate runat="server" ID="statusTemplatebr">
                                    <Template>
                                        <asp:Label ID="lblStatus" runat="server" Text='<%# Container.Value %>' ToolTip='<%# Container.DataItem["status_name"] %>' />
                                    </Template>
                                </cc1:GridTemplate>
                                <cc1:GridTemplate runat="server" ID="CustomerTemplatebr">
                                    <Template>
                                        <asp:Label ID="Label2" runat="server" Text='<%# Container.DataItem["cust"] %>' ToolTip='<%# Container.DataItem["firstname"] + " " + Container.DataItem["lastname"] %>' />
                                    </Template>
                                </cc1:GridTemplate>
                            </Templates>
                        </cc1:Grid>
                        <hr />
                    </ContentTemplate>
                </asp:UpdatePanel>
            </ContentTemplate>
        </asp:TabPanel>
        <asp:TabPanel ID="TabPanel2" runat="server" HeaderText="Customers">
            <ContentTemplate>
                <cc1:Grid ID="gvCustomers" runat="server" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="False" DataKeyNames="CustomerID"
                    DataSourceID="SqlDataCustswithRepairs" Width="80%" OnSelect="gvCustomers_Select" OnPreRender="gvCustomers_PreRender"
                    AllowAddingRecords="False" PageSize="100" PageSizeOptions="10, 20, 50, 100, 200" AutoPostBackOnSelect="true" AllowFiltering="True" FolderStyle="~/Styles/style_5">
                        <Columns>
                            <cc1:Column DataField="CustomerID" HeaderText="ID" SortExpression="CustomerID" Index="0" Visible="false"></cc1:Column>
                            <cc1:Column DataField="OrganizationName" HeaderText="Company" SortExpression="OrganizationName" Index="1" />
                            <cc1:Column DataField="FirstName" HeaderText="FirstName" SortExpression="FirstName" Index="2" />
                            <cc1:Column DataField="LastName" HeaderText="Surname" SortExpression="LastName" Index="3" />
                            <cc1:Column DataField="repairs" HeaderText="Current Repairs" ReadOnly="True"  SortExpression="repairs" Index="4" />
                        </Columns>
                </cc1:Grid>

                <asp:SqlDataSource ID="SqlDataCustswithRepairs" runat="server" ConnectionString="<%$ ConnectionStrings:PirTickets %>"
                    SelectCommand="SELECT [CustomerID], [OrganizationName], [FirstName], [LastName], [repairs], PhoneNumber, MobilePhone, EmailName FROM [vwCustswithRepairs]"></asp:SqlDataSource>           
            </ContentTemplate>       
        </asp:TabPanel>

        <asp:TabPanel ID="TabPanel3" runat="server" HeaderText="Employees">
            <ContentTemplate>
                <cc1:Grid ID="gvTechnicians" runat="server" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="False" DataKeyNames="EmployeeID"
                    DataSourceID="SqlDataTechCount" Width="80%" OnSelect="gvTechnicians_Select"  PageSize="100" PageSizeOptions="10, 20, 50, 100, 200"
                    AllowAddingRecords="False" AutoPostBackOnSelect="true" AllowFiltering="True" FolderStyle="~/Styles/style_5">
                    <Columns>
                        <cc1:Column DataField="EmployeeID" HeaderText="ID" SortExpression="EmployeeID" Index="0" Visible="false"></cc1:Column>
                        <cc1:Column DataField="FirstName" HeaderText="First Name" SortExpression="FirstName" Index="1" />
                        <cc1:Column DataField="LastName" HeaderText="Last Name" SortExpression="LastName" Index="2" />
                        <cc1:Column DataField="repairs" HeaderText="Current Repairs" ReadOnly="True" SortExpression="repairs" Index="3" />
                    </Columns>
                </cc1:Grid>         
            </ContentTemplate>      
            </asp:TabPanel>

        <asp:TabPanel ID="TabPanel4" runat="server" HeaderText="Unassigned">
            <ContentTemplate>
                <cc1:Grid ID="gvUnassigned" runat="server" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="False" DataKeyNames="OrderID"
                    DataSourceID="SqlDataUnassigned" Width="80%" OnSelect="gridunasigned_Select"  PageSize="100" PageSizeOptions="10, 20, 50, 100, 200"
                    AllowAddingRecords="False" AutoPostBackOnSelect="true" AllowFiltering="True" FolderStyle="~/Styles/style_5">
                    <Columns>
                        <cc1:Column DataField="OrderID" HeaderText="ID" SortExpression="OrderID" Index="0" Visible="true" Width="100px"></cc1:Column>
                        <cc1:Column DataField="manufacturer" HeaderText="Manufacturer" SortExpression="manufacturer" Index="1" />
                        <cc1:Column DataField="ModelName" HeaderText="Model" SortExpression="ModelName" Index="2" />
                        <cc1:Column DataField="DateReceived" HeaderText="Received" DataFormatString="{0:dd MMM yyyy}" ReadOnly="True" SortExpression="OrderID" Index="3" />
                        <cc1:Column DataField="priority_name" HeaderText="Priority" SortExpression="priority_name" Index="4" />
                    </Columns>
                </cc1:Grid>
                <asp:SqlDataSource ID="SqlDataUnassigned" runat="server"  ConnectionString="<%$ ConnectionStrings:PirTickets %>"
                    SelectCommand="SELECT [OrderID], [manufacturer], [ModelName], [DateReceived], [RepairCompleted], [priority_name] FROM [vwRepairsUnassigned]"></asp:SqlDataSource>          
        </ContentTemplate>      
        </asp:TabPanel>

        <asp:TabPanel ID="TabPanel5" runat="server" HeaderText="Unlisted Makes/Models">
            <ContentTemplate>
                <cc1:Grid ID="gridUnlisted" runat="server" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="false" DataKeyNames="OrderID"
                     Width="80%" OnSelect="gridUnlisted_Select"  PageSize="100" PageSizeOptions="10, 20, 50, 100, 200"
                    AllowAddingRecords="False" AutoPostBackOnSelect="true" AllowFiltering="True" FolderStyle="~/Styles/style_5">
                    <Columns>
                        <cc1:Column DataField="OrderID" HeaderText="ID" SortExpression="OrderID" Index="0" Visible="true" Width="100px"></cc1:Column>
                        <cc1:Column DataField="manufacturer" HeaderText="Manufacturer" SortExpression="manufacturer" Index="1" />
                        <cc1:Column DataField="NewModel" HeaderText="Model" SortExpression="NewModel" Index="2" />
                        <cc1:Column DataField="Received" HeaderText="Received" DataFormatString="{0:dd MMM yyyy}" ReadOnly="True" SortExpression="Received" Index="3" />
                        <cc1:Column DataField="Priority" HeaderText="Priority" ReadOnly="True" SortExpression="Priority" Index="4" />
                    </Columns>
                </cc1:Grid>
            </ContentTemplate>       
        </asp:TabPanel>
    </asp:TabContainer>

        </div>

    <asp:SqlDataSource ID="SqlDataTechCount" runat="server" ConnectionString="<%$ ConnectionStrings:PirTickets %>"
        SelectCommand="SELECT [EmployeeID], [FirstName], [LastName], [repairs] FROM [vwTechswithRepairs] order by repairs desc"></asp:SqlDataSource>
    
    <asp:SqlDataSource ID="SqlDataTechs" runat="server"></asp:SqlDataSource>

    <asp:SqlDataSource ID="SqlDataRepairs" runat="server" ConnectionString="<%$ ConnectionStrings:PirTickets %>"
        SelectCommand="SELECT [OrderID],[manufacturer] , [ModelName], [manufacturer] + ' ' + [ModelName] as model, Received, [RepairCompleted], [priority_name], [priority], [status_name],[status],case when assignedtechnician is not null and [Status] < convert(varchar(3),(SELECT [value] FROM [configuration] where confid =21)) then empname else [status_name] end as statusname,[cust],[FirstName], [LastName],[site],[sitename],[SerialNumber],[externalref] FROM [vwRepairsAll]  where RepairCompleted = 0 and (uneconomicaltorepair is null or uneconomicaltorepair=0)" DataSourceMode="DataReader"></asp:SqlDataSource>
    
    <asp:SqlDataSource ID="dsComplete" runat="server" ConnectionString="<%$ ConnectionStrings:PirTickets %>"
        SelectCommand="SELECT [OrderID],[manufacturer] , [ModelName], [manufacturer] + ' ' + [ModelName] as model, Received, [RepairCompleted], [priority_name],[priority], [status_name],[status], [status_name] as statusname,[cust],[FirstName], [LastName],[site],[sitename],[SerialNumber],[externalref] FROM [vwRepairsAll] where RepairCompleted = 1  and (uneconomicaltorepair is null or uneconomicaltorepair=0) " DataSourceMode="DataReader"></asp:SqlDataSource>
   
     <asp:SqlDataSource ID="dsBeyondRepair" runat="server" ConnectionString="<%$ ConnectionStrings:PirTickets %>"
        SelectCommand="SELECT [OrderID],[manufacturer] , [ModelName], [manufacturer] + ' ' + [ModelName] as model, Received, [RepairCompleted], [priority_name],[priority], [status_name],[status], [status_name] as statusname,[cust],[FirstName], [LastName],[site],[sitename],[SerialNumber],[externalref] FROM [vwRepairsAll] where uneconomicaltorepair = 1 " DataSourceMode="DataReader"></asp:SqlDataSource>

</asp:Content>
