﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Master/MasterPage.master" AutoEventWireup="true" CodeBehind="HistoryLogs.aspx.cs" Inherits="PirTickets.HistoryLogs" %>

<%@ Register Assembly="obout_Grid_NET" Namespace="Obout.Grid" TagPrefix="cc1" %>
<%@ Register Assembly="obout_Interface" Namespace="Obout.Interface" TagPrefix="cc2" %>
<asp:Content ID="Content1" ContentPlaceHolderID="Head" runat="server">
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <h2>History Logs</h2>
    <cc2:OboutButton ID="OboutButton2" runat="server" OnClientClick="return confirm('Delete old History records?')" Text="Delete old Logs" OnClick="OboutButton2_Click"></cc2:OboutButton>
    <cc2:OboutButton ID="OboutButton1" runat="server" OnClick="OboutButton1_Click" OnClientClick="return confirm('Delete all History records?')" Text="Clear Logs" Style="top: 0px; left: 0px; height: 19px; width: 123px">
    </cc2:OboutButton>
    <br />
    <br />
    <cc1:Grid ID="gridHistory" runat="server" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="false" datakeynames="id"
        Width="100%" DataSourceID="SqlHistory" OnSelect="gridHistory_Select" AllowAddingRecords="False"
        AutoPostBackOnSelect="true" AllowFiltering="True" FolderStyle="~/Styles/style_5" AllowGrouping="False" AllowRecordSelection="False" Serialize="False" PageSize="200" PageSizeOptions="10,20,50,100,200,500">
        <columns>

            <cc1:Column DataField="id" HeaderText="Id" InsertVisible="False" Index="0" ReadOnly="True" SortExpression="id" Width="50px">
                <ItemStyle Width="30px" />
            </cc1:Column>
            <cc1:Column DataField="username" HeaderText="User" Index="1" SortExpression="username" Width="80%">
                <ItemStyle Width="100px" />
            </cc1:Column>
            <cc1:Column DataField="logentry" HeaderText="Log Entry" Index="2" SortExpression="logentry" Width="100%">
                <ItemStyle Width="500px" />
            </cc1:Column>
            <cc1:Column DataField="date" HeaderText="Date" Index="3" SortExpression="date" Width="150px">
                <ItemStyle Width="150px" />
            </cc1:Column>
        </columns>
    </cc1:Grid>

    <asp:SqlDataSource ID="SqlHistory" runat="server" ConnectionString="<%$ ConnectionStrings:PirTickets %>" 
        DeleteCommand="DELETE FROM [historylog] WHERE [id] = @id" 
        SelectCommand="SELECT [id], [username], [logentry], [date] FROM [historylog] a left join employees b on a.userid = b.EmployeeId" 
 >
        <DeleteParameters>
            <asp:Parameter Name="id" Type="Int32" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="userid" Type="String" />
            <asp:Parameter Name="logentry" Type="String" />
            <asp:Parameter Name="date" Type="DateTime" />
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="userid" Type="String" />
            <asp:Parameter Name="logentry" Type="String" />
            <asp:Parameter Name="date" Type="DateTime" />
            <asp:Parameter Name="id" Type="Int32" />
        </UpdateParameters>
    </asp:SqlDataSource>

</asp:Content>
