﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Master/MasterPage.master" AutoEventWireup="true" CodeBehind="TicketsforCustomer.aspx.cs" Inherits="PirTickets.TicketsforCustomer" %>
<%@ Register Assembly="obout_Grid_NET" Namespace="Obout.Grid" TagPrefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Head" runat="server">
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:Label ID="Label1" runat="server" Text="These are the repairs you have outstanding:"></asp:Label>
    <br />
    <br />
    <cc1:Grid ID="gridTickets" runat="server" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="false" datakeynames="OrderID"
        Width="750px" DataSourceID="SqlDataCustTickets" OnSelect="gridTickets_Select" AllowAddingRecords="False" PageSize="20" PageSizeOptions="10,20,50"
        AutoPostBackOnSelect="true" AllowFiltering="True" FolderStyle="~/Styles/style_5">
        <Columns>
            <cc1:column datafield="OrderID" headertext="ID" sortexpression="OrderID" index="0" width="60px" />
            <cc1:column datafield="manufacturer" headertext="Manufacturer" sortexpression="manufacturer" width="100px" index="1" />
            <cc1:column datafield="ModelName" headertext="ModelName" sortexpression="ModelName" index="2" width="100px" />
            <cc1:column datafield="SerialNumber" headertext="SerialNumber" readonly="True" sortexpression="SerialNumber" index="3" width="100px" />
            <cc1:column datafield="Received" headertext="Received" readonly="True" dataformatstring="{0:d}" sortexpression="Received" index="4" width="90px" />
            <cc1:column datafield="RepairCompleted" headertext="Completed" readonly="True" sortexpression="City" index="5" width="60px" />
            <cc1:column datafield="priority_name" headertext="Priority" readonly="True" sortexpression="Priority" index="6" width="70px" />
            <cc1:column datafield="status_name" headertext="Status" readonly="True" sortexpression="Status" index="7" width="150px" />

        </Columns>
    </cc1:Grid>
    <asp:SqlDataSource ID="SqlDataCustTickets" runat="server" ConnectionString="<%$ ConnectionStrings:PirTickets %>" 
        SelectCommand="SELECT [OrderID], [manufacturer], [ModelName], [SerialNumber], [Received], [RepairCompleted], [priority_name], [status_name] FROM [vwCustomerTickets] WHERE (RepairCompleted is null or RepairCompleted =0) and ([CustomerID] = @CustomerID)">
        <SelectParameters>
            <asp:QueryStringParameter Name="CustomerID" QueryStringField="custid" 
                Type="String" />
        </SelectParameters>
    </asp:SqlDataSource>
    <br />
    <br />
    <asp:Button ID="btBack" runat="server" Text="Back" onclick="btBack_Click" style="width: 46px" />
</asp:Content>
