﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Master/MasterPage.master" AutoEventWireup="true" CodeBehind="TicketsnotInvoiced.aspx.cs" Inherits="PirTickets.TicketsnotInvoiced" %>
<%@ Register Assembly="obout_Grid_NET" Namespace="Obout.Grid" TagPrefix="cc1" %>
<%@ Register Assembly="obout_Interface" Namespace="Obout.Interface" TagPrefix="cc2" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Head" runat="server">
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
     
    <h2>Completed repairs not yet invoiced</h2>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
    <ContentTemplate>
    <p>
        Select Customer:
        <asp:DropDownList ID="DDCusts" runat="server" DataSourceID="SqlDatacusts" 
            DataTextField="OrganizationName" DataValueField="CustomerID"   AutoPostBack="True" onselectedindexchanged="DropDownList1_SelectedIndexChanged">
        </asp:DropDownList>
        &nbsp;<asp:Button ID="btGen" runat="server" onclick="btGen_Click"  Text="Generate Invoices" />
        <asp:Button ID="BClear" runat="server" onclick="BClear_Click"  Text="Clear Filter" />
        <asp:SqlDataSource ID="SqlDatacusts" runat="server"   ConnectionString="<%$ ConnectionStrings:PirTickets %>" 
            SelectCommand="SELECT [CustomerID], [OrganizationName] FROM [vwCustomerswithRepairsNotYetInvoiced]">
        </asp:SqlDataSource>
        <cc1:Grid ID="gridInvoices" runat="server" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="false" datakeynames="OrderID"
            Width="100%" DataSourceID="SqlDataInvoice" AllowAddingRecords="False"
            AllowFiltering="True" FolderStyle="~/Styles/style_5"
            AllowGrouping="true" AllowRecordSelection="false" Serialize="false" PageSize="20" PageSizeOptions="10,20,50,100">
            <Columns>
                <cc1:Column DataField="OrderID" HeaderText="ID" ReadOnly="True" SortExpression="OrderID" Width="50px" />
                <cc1:Column DataField="OrganizationName" HeaderText="Company" Width="80%" SortExpression="OrganizationName" />
                <cc1:Column DataField="City" HeaderText="City" SortExpression="City" Width="80%" />
                <cc1:Column DataField="model" HeaderText="Model" Width="100%" SortExpression="manufacturer" />
                <cc1:Column DataField="SerialNumber" HeaderText="Serial" SortExpression="SerialNumber" Width="100px" />
                <cc1:Column DataField="DateCompleted" DataFormatString="{0:d}" HeaderText="Completed" ReadOnly="True" SortExpression="DateCompleted" Width="100px" />
                <cc1:Column DataField="AmountBilled" DataFormatString="{0:C}" HeaderText="Cost" SortExpression="AmountBilled" Width="100px" />
            </Columns>
        </cc1:Grid>
    </p>
    <p>
   
        <asp:SqlDataSource ID="SqlDataInvoice" runat="server" ConnectionString="<%$ ConnectionStrings:PirTickets %>"
            SelectCommand="SELECT [OrderID], [OrganizationName], [City], isnull([manufacturer],'') + ' ' + isnull( [ModelName],'') as model, [SerialNumber], [DateCompleted], [TotalCost],[AmountBilled], CustomerID  FROM [vwCompletedRepairsNotInvoiced]">
        </asp:SqlDataSource>
    </p>
        </ContentTemplate>
    </asp:UpdatePanel>
           </div>
</asp:Content>
